<!--
 - Created by MarosGrajcar on 2/13/2020.
 -->

<!-- Eqt Data Correction Header Information -->
<template>
    <!-- INFORMATION HEADER -->
    <div class="slds-text-title_caps slds-section slds-p-around--small"
         style="background-color:#f5f5f5"><b>Information</b>
    </div>

    <!--NEW FORM-->
    <template if:true={equipment}>

        <!--MEDIUM AND LARGE DEVICES-->
        <div class="slds-wrap slds-grid slds-p-around--medium slds-show_medium">
            <div class="slds-size--6-of-12">

                <div class="slds-grid slds-wrap">
                    <b class="slds-size--2-of-12">Equipment</b>
                    <a onclick={redirectToRecordPage} data-id={equipment.Id}
                       data-apiname="Equipment__c" class="slds-size--10-of-12">{equipment.Name}</a>
                </div>

                <template if:true={equipment.Location__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">

                        <b class="slds-size--2-of-12">Location</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.Location__r.Route__r.Id}
                           data-apiname="Location__c"
                           class="slds-size--10-of-12">{equipment.Location__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.Location__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipment.Location__r.Route__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipment.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipment.Facility__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">

                        <b class="slds-size--2-of-12">Facility</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.Facility__r.Id}
                           data-apiname="Facility__c"
                           class="slds-size--10-of-12">{equipment.Facility__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Plant Section</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.Facility__r.Plant_Section__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipment.Facility__r.Plant_Section__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipment.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipment.Well_Event__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">
                        <b class="slds-size--2-of-12">Well Event</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.Well_Event__r.Id}
                           data-apiname="Well_Event__c"
                           class="slds-size--10-of-12">{equipment.Well_Event__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.Well_Event__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipment.Well_Event__r.Route__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipment.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipment.Functional_Equipment_Level__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">
                        <b class="slds-size--2-of-12">Functional Equipment Level</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.Functional_Equipment_Level__r.Id}
                           data-apiname="Functional_Equipment_Level__c" class="slds-size--10-of-12">{equipment.Functional_Equipment_Level__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage}
                           data-id={equipment.Functional_Equipment_Level__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipment.Functional_Equipment_Level__r.Route__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipment.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipment.Yard__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">
                        <b class="slds-size--2-of-12">Yard</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.Yard__r.Id}
                           data-apiname="Yard__c" class="slds-size--10-of-12">{equipment.Yard__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.Yard__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipment.Yard__r.Route__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipment.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipment.System__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">
                        <b class="slds-size--2-of-12">System</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.System__r.Id}
                           data-apiname="System__c" class="slds-size--10-of-12">{equipment.System__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.System__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipment.System__r.Route__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipment.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipment.Sub_System__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">
                        <b class="slds-size--2-of-12">Sub System</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.Sub_System__r.Id}
                           data-apiname="Sub_System__c"
                           class="slds-size--10-of-12">{equipment.Sub_System__r.Name}</a>

                        <b class="slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage} data-id={equipment.Sub_System__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-size--10-of-12">{equipment.Sub_System__r.Route__r.Route_Number__c}</a>

                        <b class="slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipment.Planner_Group__c}</span>
                    </div>
                </template>

            </div>

            <div class="slds-size--6-of-12">
                <div class="slds-grid slds-wrap">
                    <b class="slds-size--2-of-12">Form Status</b>
                    <span class="slds-size--10-of-12">Open</span>

                    <lightning-combobox
                            class="slds-p-top--small slds-size--6-of-12"
                            label="Equipment Status"
                            value={equipmentStatus}
                            onchange={handleEquipmentStatus}
                            options={equipmentStatusOptions}
                            placeholder="--None--">
                    </lightning-combobox>
                </div>
            </div>
        </div>

        <!--SMALL DEVICES-->
        <div class="slds-hide_medium">
            <b>Equipment</b>
            <p>
                <a onclick={redirectToRecordPage} data-id={equipment.Id}
                   data-apiname="Equipment__c">{equipment.Name}</a>
            </p>

            <template if:true={equipment.Location__r}>

                <div class="slds-p-top--small">
                    <b>Location</b>
                </div>
                <p><a onclick={redirectToRecordPage} data-id={equipment.Location__r.Id}
                      data-apiname="Location__c">{equipment.Location__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipment.Location__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={equipment.Location__r.Route__r.Id}
                          data-apiname="Route__c">{equipment.Location__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipment.Facility__r}>

                <b>Facility</b>
                <p><a onclick={redirectToRecordPage} data-id={equipment.Facility__r.Id}
                      data-apiname="Facility__c">{equipment.Facility__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Plant Section</b>
                </div>
                <template if:true={equipment.Facility__r.Plant_Section__c}>
                    <p><a onclick={redirectToRecordPage} data-id={equipment.Facility__r.Plant_Section__r.Id}
                          data-apiname="Plant_Section__c">{equipment.Facility__r.Plant_Section__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipment.Well_Event__r}>

                <b>Well Event</b>
                <p><a onclick={redirectToRecordPage} data-id={equipment.Well_Event__r.Id}
                      data-apiname="Well_Event__c">{equipment.Well_Event__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipment.Well_Event__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={equipment.Well_Event__r.Route__r.Id}
                          data-apiname="Route__c">{equipment.Well_Event__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipment.Functional_Equipment_Level__r}>

                <b>Functional Equipment Level</b>
                <p><a onclick={redirectToRecordPage} data-id={equipment.Functional_Equipment_Level__r.Id}
                      data-apiname="Functional_Equipment_Level__c">{equipment.Functional_Equipment_Level__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipment.Functional_Equipment_Level__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={equipment.Functional_Equipment_Level__r.Route__r.Id}
                          data-apiname="Route__c">{equipment.Functional_Equipment_Level__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipment.Yard__r}>

                <b>Yard</b>
                <p><a onclick={redirectToRecordPage} data-id={equipment.Yard__r.Id}
                      data-apiname="Yard__c">{equipment.Yard__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipment.Yard__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={equipment.Yard__r.Route__r.Id}
                          data-apiname="Route__c">{equipment.Yard__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipment.System__r}>

                <b>System</b>
                <p><a onclick={redirectToRecordPage} data-id={equipment.System__r.Id}
                      data-apiname="System__c">{equipment.System__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipment.System__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={equipment.System__r.Route__r.Id}
                          data-apiname="Route__c">{equipment.System__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipment.Sub_System__r}>

                <b>Sub System</b>
                <p><a onclick={redirectToRecordPage} data-id={equipment.Sub_System__r.Id}
                      data-apiname="Sub_System__c">{equipment.Sub_System__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipment.Sub_System__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={equipment.Sub_System__r.Route__r.Id}
                          data-apiname="Route__c">{equipment.Sub_System__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <div class="slds-p-top--small">
                <b>Planner Group</b>
            </div>
            <p>{equipment.Planner_Group__c}</p>

            <div class="slds-p-top--small">
                <b>Form Status</b>
            </div>
            <p>Open</p>

            <lightning-combobox
                    class="slds-p-top--small"
                    label="Equipment Status"
                    value={equipmentStatus}
                    onchange={handleEquipmentStatus}
                    options={equipmentStatusOptions}
                    placeholder="--None--">
            </lightning-combobox>

        </div>

    </template>

    <!--VIEW AND EDIT FORM-->
    <template if:true={equipmentForm}>

        <!--MEDIUM AND SMALL DEVICES-->
        <div class="slds-wrap slds-grid slds-p-around--medium slds-show_medium">
            <div class="slds-size--6-of-12">

                <div class="slds-grid slds-wrap">
                    <b class="slds-size--2-of-12">Equipment</b>
                    <a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Id}
                       data-apiname="Equipment__c"
                       class="slds-size--10-of-12">{equipmentForm.Equipment__r.Name}</a>
                </div>

                <template if:true={equipmentForm.Equipment__r.Location__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">

                        <b class="slds-size--2-of-12">Location</b>
                        <a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Location__r.Id}
                           data-apiname="Location__c" class="slds-size--10-of-12">{equipmentForm.Equipment__r.Location__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage}
                           data-id={equipmentForm.Equipment__r.Location__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Location__r.Route__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipmentForm.Equipment__r.Facility__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">

                        <b class="slds-size--2-of-12">Facility</b>
                        <a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Facility__r.Id}
                           data-apiname="Facility__c" class="slds-size--10-of-12">{equipmentForm.Equipment__r.Facility__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Plant Section</b>
                        <a onclick={redirectToRecordPage}
                           data-id={equipmentForm.Equipment__r.Facility__r.Plant_Section__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Facility__r.Plant_Section__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipmentForm.Equipment__r.Well_Event__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">
                        <b class="slds-size--2-of-12">Well Event</b>
                        <a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Well_Event__r.Id}
                           data-apiname="Well_Event__c" class="slds-size--10-of-12">{equipmentForm.Equipment__r.Well_Event__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage}
                           data-id={equipmentForm.Equipment__r.Well_Event__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Well_Event__r.Route__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipmentForm.Equipment__r.Functional_Equipment_Level__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">
                        <b class="slds-size--2-of-12">Functional Equipment Level</b>
                        <a onclick={redirectToRecordPage}
                           data-id={equipmentForm.Equipment__r.Functional_Equipment_Level__r.Id}
                           data-apiname="Functional_Equipment_Level__c" class="slds-size--10-of-12">{equipmentForm.Equipment__r.Functional_Equipment_Level__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage}
                           data-id={equipmentForm.Equipment__r.Functional_Equipment_Level__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Functional_Equipment_Level__r.Route__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipmentForm.Equipment__r.Yard__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">
                        <b class="slds-size--2-of-12">Yard</b>
                        <a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Yard__r.Id}
                           data-apiname="Yard__c"
                           class="slds-size--10-of-12">{equipmentForm.Equipment__r.Yard__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage}
                           data-id={equipmentForm.Equipment__r.Yard__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Yard__r.Route__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipmentForm.Equipment__r.System__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">
                        <b class="slds-size--2-of-12">System</b>
                        <a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.System__r.Id}
                           data-apiname="System__c" class="slds-size--10-of-12">{equipmentForm.Equipment__r.System__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage}
                           data-id={equipmentForm.Equipment__r.System__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.System__r.Route__r.Route_Number__c}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={equipmentForm.Equipment__r.Sub_System__r}>
                    <div class="slds-grid slds-wrap slds-p-top--small">
                        <b class="slds-size--2-of-12">Sub System</b>
                        <a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Sub_System__r.Id}
                           data-apiname="Sub_System__c" class="slds-size--10-of-12">{equipmentForm.Equipment__r.Sub_System__r.Name}</a>

                        <b class="slds-size--2-of-12">Route</b>
                        <a onclick={redirectToRecordPage}
                           data-id={equipmentForm.Equipment__r.Sub_System__r.Route__r.Id}
                           data-apiname="Route__c" class="slds-size--10-of-12">{equipmentForm.Equipment__r.Sub_System__r.Route__r.Route_Number__c}</a>

                        <b class="slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment__r.Planner_Group__c}</span>
                    </div>
                </template>

            </div>

            <div class="slds-size--6-of-12">
                <div class="slds-grid slds-wrap">
                    <b class="slds-size--2-of-12">Form Status</b>
                    <span class="slds-size--10-of-12">{equipmentForm.Status__c}</span>

                    <template if:true={isView}>
                        <b class="slds-p-top--small slds-size--2-of-12">Equipment Status</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{equipmentForm.Equipment_Status__c}</span>
                    </template>

                    <template if:false={isView}>
                        <lightning-combobox
                                class="slds-p-top--small slds-size--6-of-12"
                                label="Equipment Status"
                                value={equipmentForm.Equipment_Status__c}
                                onchange={handleEquipmentStatus}
                                options={equipmentStatusOptions}>
                        </lightning-combobox>
                    </template>
                </div>
            </div>
        </div>

        <!--SMALL DEVICES-->
        <div class="slds-hide_medium">
            <b>Equipment</b>
            <p>
                <a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Id}
                   data-apiname="Equipment__c">{equipmentForm.Equipment__r.Name}</a>
            </p>

            <template if:true={equipmentForm.Equipment__r.Location__r}>

                <div class="slds-p-top--small">
                    <b>Location</b>
                </div>
                <p><a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Location__r.Id}
                      data-apiname="Location__c">{equipmentForm.Equipment__r.Location__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipmentForm.Equipment__r.Location__r.Route__c}>
                    <p><a onclick={redirectToRecordPage}
                          data-id={equipmentForm.Equipment__r.Location__r.Route__r.Id}
                          data-apiname="Route__c">{equipmentForm.Equipment__r.Location__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipmentForm.Equipment__r.Facility__r}>

                <b>Facility</b>
                <p><a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Facility__r.Id}
                      data-apiname="Facility__c">{equipmentForm.Equipment__r.Facility__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Plant Section</b>
                </div>
                <template if:true={equipmentForm.Equipment__r.Facility__r.Plant_Section__c}>
                    <p><a onclick={redirectToRecordPage}
                          data-id={equipmentForm.Equipment__r.Facility__r.Plant_Section__r.Id}
                          data-apiname="Plant_Section__c">{equipmentForm.Equipment__r.Facility__r.Plant_Section__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipmentForm.Equipment__r.Well_Event__r}>

                <b>Well Event</b>
                <p><a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Well_Event__r.Id}
                      data-apiname="Well_Event__c">{equipmentForm.Equipment__r.Well_Event__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipmentForm.Equipment__r.Well_Event__r.Route__c}>
                    <p><a onclick={redirectToRecordPage}
                          data-id={equipmentForm.Equipment__r.Well_Event__r.Route__r.Id}
                          data-apiname="Route__c">{equipmentForm.Equipment__r.Well_Event__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipmentForm.Equipment__r.Functional_Equipment_Level__r}>

                <b>Functional Equipment Level</b>
                <p><a onclick={redirectToRecordPage}
                      data-id={equipmentForm.Equipment__r.Functional_Equipment_Level__r.Id}
                      data-apiname="Functional_Equipment_Level__c">{equipmentForm.Equipment__r.Functional_Equipment_Level__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipmentForm.Equipment__r.Functional_Equipment_Level__r.Route__c}>
                    <p><a onclick={redirectToRecordPage}
                          data-id={equipmentForm.Equipment__r.Functional_Equipment_Level__r.Route__r.Id}
                          data-apiname="Route__c">{equipmentForm.Equipment__r.Functional_Equipment_Level__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipmentForm.Equipment__r.Yard__r}>

                <b>Yard</b>
                <p><a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Yard__r.Id}
                      data-apiname="Yard__c">{equipmentForm.Equipment__r.Yard__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipmentForm.Equipment__r.Yard__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Yard__r.Route__r.Id}
                          data-apiname="Route__c">{equipmentForm.Equipment__r.Yard__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipmentForm.Equipment__r.System__r}>

                <b>System</b>
                <p><a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.System__r.Id}
                      data-apiname="System__c">{equipmentForm.Equipment__r.System__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipmentForm.Equipment__r.System__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.System__r.Route__r.Id}
                          data-apiname="Route__c">{equipmentForm.Equipment__r.System__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <template if:true={equipmentForm.Equipment__r.Sub_System__r}>

                <b>Sub System</b>
                <p><a onclick={redirectToRecordPage} data-id={equipmentForm.Equipment__r.Sub_System__r.Id}
                      data-apiname="Sub_System__c">{equipmentForm.Equipment__r.Sub_System__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={equipmentForm.Equipment__r.Sub_System__r.Route__c}>
                    <p><a onclick={redirectToRecordPage}
                          data-id={equipmentForm.Equipment__r.Sub_System__r.Route__r.Id}
                          data-apiname="Route__c">{equipmentForm.Equipment__r.Sub_System__r.Route__r.Name}</a>
                    </p>
                </template>

            </template>

            <div class="slds-p-top--small">
                <b>Planner Group</b>
            </div>
            <p>{equipmentForm.Equipment__r.Planner_Group__c}</p>

            <div class="slds-p-top--small">
                <b>Form Status</b>
            </div>
            <p>{equipmentForm.Status__c}</p>

            <div if:true={isView} class="slds-p-top--small">
                <b>Equipment Status</b>
            </div>
            <p>{equipmentForm.Equipment_Status__c}</p>

            <div if:false={isView} class="slds-p-top--small">
                <lightning-combobox label="Equipment Status"
                                    value={equipmentForm.Equipment_Status__c}
                                    onchange={handleEquipmentStatus}
                                    options={equipmentStatusOptions}>
                </lightning-combobox>
            </div>

        </div>

    </template>


</template>